スレッド表示 | フラット表示〕 全トピック 920 件中 700 番目 次≫ ≪前

php4についての質問

created: 2004-01-06 13:20 | modified: 2004-01-09 12:09 | reply: 2

[1211] php4についての質問

user: koko | created: 2004-01-06 13:20
Flashで作ったContactメールを使えるようにするため
フリーのphpファイルをダウンロードして使いたいのですが、php4はなかなか見つかりません。
私のHostServerはphp4使用可能(確認済み)ですが他のファイルについては言及してなくて、
phpまたはphp3を使うとメールが私の元へ送られてきません。
php4使用可能な環境ではphp,php3は使えないのでしょうか?初心者なのでわかりません。
reply: 1213 返信 編集 削除

[1213] Re.php4についての質問

user: ゆうじ | created: 2004-01-06 23:30
php、php3、php4 とおっしゃっているのは
PHPの『バージョン』のことでしょうか?
それとも、スクリプトファイルの『拡張子』のことでしょうか?

きっと両者の区別がつかないのだろうと思います。

php4使用可能とのことですが、
これが、PHP Ver.4 が使える環境ということであれば、
PHP ver.4 に対応したスクリプトならば使えますが、
PHP ver.3 を対象にしたスクリプトの場合は、
使えないこともあるでしょう。

php4が示すものが、
サーバーにて、php4 という拡張子を、
PHPのスクリプトファイルであると設定している、
ということであれば、
PHPのバージョンはわかりませんので、
先ずはサーバ管理者にPHPのバージョンを尋ねるか、
phpinfo関数を使って自分で確認しましょう。

その上で、該当のバージョンにあわせた
PHPスクリプトを使用すればよいと思います。

# 単に拡張子の違いが問題で、
# PHPのバージョンとスクリプトが対応するバージョンが一致するのならば、
# 拡張子を php から php4 に直せば済む話です。
# ただし、そのスクリプト中で、
# スクリプト自身のファイル名を参照しているような個所があれば、
# その部分も修正する必要があります。
Parent: 1211  reply: 1217 返信 編集 削除

[1217] Re.php4についての質問

user: koko | created: 2004-01-09 12:09
ご返信どうもありがとうございました。
phpinfo関数を使って自分で確認しようとしたのですが、
なぜかbrowserには何も表示されませんでした。
そこでサーバー管理者に問い合わせたところ、PHP4というのは
PHP version4のことだそうです。
send mailがうまく使えるかどうかわかりませんががんばってやってみます。
Parent: 1213  返信 編集 削除
スレッド表示 | フラット表示〕 全トピック 920 件中 700 番目 次≫ ≪前
ページの一番上へ
Googleグックマークに登録 Yahooグックマークに登録 livedoorクリップに登録 @niftyクリップに登録 はてなブックマークに登録 deliciousに登録 Buzzurlに登録 FC2ブックマークに登録
最近更新された掲示板トピックス
管理人Blog
Yahoo Search

最近更新したNote
PHPマニュアル
今日のブックマーク
PHPマニュアル関数検索
関数名を入力し検索ボタンをクリック↑